# PyKoopman-AE

Python package `PyKoopman-AE` for the data-driven identification of the Koopman Operator-based models for dynamical systems using autoencoders.

## Installation

You can install `PyKoopman-AE` from PyPI using pip. 

### Prerequisites

Ensure you have Python>=3.7 installed. You can download Python from the official [Python website](https://www.python.org/downloads/).

### Using pip

To install the package, run the following command in your terminal:

```sh
pip install pykoopman-ae
```
### From Source

Alternatively, you can clone the repository and install it from the source:

1. Clone the repository:
```sh
git clone https://github.com/SuchethShenoy/pykoopman-ae.git
```
2. Navigate to the package directory:
```sh
cd pykoopman_ae
```
3. Install the package using pip:
```sh
pip install .
```

## Usage

Refer to this [tutorial](tutorial/tutorial.ipynb) to get started.

## License
This project is licensed under the MIT License. See the LICENSE file for details.

## Contact
For any questions or suggestions, please open an issue or contact the repository owner at [sucheth17@gmail.com].

Thank you for using `PyKoopman-AE`!
